## AnjutaProfile AnjutaProfile — Profile is a collection of plugins |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/anjuta-profile.h>

                        AnjutaProfilePriv;
                        AnjutaProfile;
    AnjutaProfile*      anjuta_profile_new                  (const gchar *profile_name,
                                                             AnjutaPluginManager *plugin_manager);
    void                anjuta_profile_add_plugin           (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);
    void                anjuta_profile_remove_plugin        (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);
    gboolean            anjuta_profile_has_plugin           (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);
    gchar*              anjuta_profile_to_xml               (AnjutaProfile *profile);
    GList*              anjuta_profile_get_plugins          (AnjutaProfile *profile);

## Object Hierarchy

      GObject
       +----AnjutaProfile

## Properties

      "plugin-manager"           AnjutaPluginManager   : Read / Write / Construct
      "plugins"                  gpointer              : Read / Write / Construct
      "profile-name"             gchararray            : Read / Write / Construct
      "sync-uri"                 gchararray            : Read / Write

## Signals

      "changed"                                        : Run First
      "plugin-added"                                   : Run First
      "plugin-removed"                                 : Run First

## Description

## Details

### AnjutaProfilePriv

    typedef struct _AnjutaProfilePriv AnjutaProfilePriv;

### AnjutaProfile

    typedef struct _AnjutaProfile AnjutaProfile;

### anjuta_profile_new ()

    AnjutaProfile*      anjuta_profile_new                  (const gchar *profile_name,
                                                             AnjutaPluginManager *plugin_manager);

`profile_name` : |
`plugin_manager` : |
Returns : |

### anjuta_profile_add_plugin ()

    void                anjuta_profile_add_plugin           (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);

`profile` : |
`plugin` : |

### anjuta_profile_remove_plugin ()

    void                anjuta_profile_remove_plugin        (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);

`profile` : |
`plugin` : |

### anjuta_profile_has_plugin ()

    gboolean            anjuta_profile_has_plugin           (AnjutaProfile *profile,
                                                             AnjutaPluginDescription *plugin);

`profile` : |
`plugin` : |
Returns : |

### anjuta_profile_to_xml ()

    gchar*              anjuta_profile_to_xml               (AnjutaProfile *profile);

`profile` : |
Returns : |

### anjuta_profile_get_plugins ()

    GList*              anjuta_profile_get_plugins          (AnjutaProfile *profile);

`profile` : |
Returns : |

## Property Details

### The "`plugin-manager`" property

      "plugin-manager"           AnjutaPluginManager   : Read / Write / Construct

The plugin manager to use for resolving plugins.

### The "`plugins`" property

      "plugins"                  gpointer              : Read / Write / Construct

List of plugins for this profile.

### The "`profile-name`" property

      "profile-name"             gchararray            : Read / Write / Construct

Name of the plugin profile.

Default value: NULL

### The "`sync-uri`" property

      "sync-uri"                 gchararray            : Read / Write

URI to sync the proflie xml.

Default value: NULL

## Signal Details

### The "changed" signal

    void                user_function                      (AnjutaProfile *anjutaprofile,
                                                            gpointer       arg1,
                                                            gpointer       user_data)          : Run First

`anjutaprofile` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "plugin-added" signal

    void                user_function                      (AnjutaProfile *anjutaprofile,
                                                            gpointer       arg1,
                                                            gpointer       user_data)          : Run First

`anjutaprofile` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The "plugin-removed" signal

    void                user_function                      (AnjutaProfile *anjutaprofile,
                                                            gpointer       arg1,
                                                            gpointer       user_data)          : Run First

`anjutaprofile` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

## See Also

AnjutaProfileManager, AnjutaPlugin